## org.eclipse.wst.wsdl
Interface WSDLPackage.Literals

Enclosing interface:
  WSDLPackage

    public static interface WSDLPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `BINDING` The meta object literal for the '`Binding`' class
`static EReference` `BINDING__EBINDING_OPERATIONS` The meta object literal for the 'EBinding Operations' containment reference list feature
`static EReference` `BINDING__EPORT_TYPE` The meta object literal for the 'EPort Type' reference feature
`static EAttribute` `BINDING__QNAME` The meta object literal for the 'QName' attribute feature
`static EAttribute` `BINDING__UNDEFINED` The meta object literal for the 'Undefined' attribute feature
`static EClass` `BINDING_FAULT` The meta object literal for the '`Binding Fault`' class
`static EReference` `BINDING_FAULT__EFAULT` The meta object literal for the 'EFault' reference feature
`static EAttribute` `BINDING_FAULT__NAME` The meta object literal for the 'Name' attribute feature
`static EClass` `BINDING_INPUT` The meta object literal for the '`Binding Input`' class
`static EReference` `BINDING_INPUT__EINPUT` The meta object literal for the 'EInput' reference feature
`static EAttribute` `BINDING_INPUT__NAME` The meta object literal for the 'Name' attribute feature
`static EClass` `BINDING_OPERATION` The meta object literal for the '`Binding Operation`' class
`static EReference` `BINDING_OPERATION__EBINDING_FAULTS` The meta object literal for the 'EBinding Faults' containment reference list feature
`static EReference` `BINDING_OPERATION__EBINDING_INPUT` The meta object literal for the 'EBinding Input' containment reference feature
`static EReference` `BINDING_OPERATION__EBINDING_OUTPUT` The meta object literal for the 'EBinding Output' containment reference feature
`static EReference` `BINDING_OPERATION__EOPERATION` The meta object literal for the 'EOperation' reference feature
`static EAttribute` `BINDING_OPERATION__NAME` The meta object literal for the 'Name' attribute feature
`static EClass` `BINDING_OUTPUT` The meta object literal for the '`Binding Output`' class
`static EReference` `BINDING_OUTPUT__EOUTPUT` The meta object literal for the 'EOutput' reference feature
`static EAttribute` `BINDING_OUTPUT__NAME` The meta object literal for the 'Name' attribute feature
`static EClass` `DEFINITION` The meta object literal for the '`Definition`' class
`static EReference` `DEFINITION__EBINDINGS` The meta object literal for the 'EBindings' containment reference list feature
`static EReference` `DEFINITION__EIMPORTS` The meta object literal for the 'EImports' containment reference list feature
`static EReference` `DEFINITION__EMESSAGES` The meta object literal for the 'EMessages' containment reference list feature
`static EReference` `DEFINITION__ENAMESPACES` The meta object literal for the 'ENamespaces' containment reference list feature
`static EAttribute` `DEFINITION__ENCODING` The meta object literal for the 'Encoding' attribute feature
`static EReference` `DEFINITION__EPORT_TYPES` The meta object literal for the 'EPort Types' containment reference list feature
`static EReference` `DEFINITION__ESERVICES` The meta object literal for the 'EServices' containment reference list feature
`static EReference` `DEFINITION__ETYPES` The meta object literal for the 'ETypes' containment reference feature
`static EAttribute` `DEFINITION__LOCATION` The meta object literal for the 'Location' attribute feature
`static EAttribute` `DEFINITION__QNAME` The meta object literal for the 'QName' attribute feature
`static EAttribute` `DEFINITION__TARGET_NAMESPACE` The meta object literal for the 'Target Namespace' attribute feature
`static EDataType` `DOM_DOCUMENT` The meta object literal for the 'DOM Document' data type
`static EDataType` `DOM_ELEMENT` The meta object literal for the 'DOM Element' data type
`static EClass` `EXTENSIBILITY_ELEMENT` The meta object literal for the '`Extensibility Element`' class
`static EAttribute` `EXTENSIBILITY_ELEMENT__ELEMENT_TYPE` The meta object literal for the 'Element Type' attribute feature
`static EAttribute` `EXTENSIBILITY_ELEMENT__REQUIRED` The meta object literal for the 'Required' attribute feature
`static EClass` `EXTENSIBLE_ELEMENT` The meta object literal for the '`Extensible Element`' class
`static EReference` `EXTENSIBLE_ELEMENT__EEXTENSIBILITY_ELEMENTS` The meta object literal for the 'EExtensibility Elements' containment reference list feature
`static EClass` `FAULT` The meta object literal for the '`Fault`' class
`static EClass` `IBINDING` The meta object literal for the '`IBinding`' class
`static EClass` `IBINDING_FAULT` The meta object literal for the '`IBinding Fault`' class
`static EClass` `IBINDING_INPUT` The meta object literal for the '`IBinding Input`' class
`static EClass` `IBINDING_OPERATION` The meta object literal for the '`IBinding Operation`' class
`static EClass` `IBINDING_OUTPUT` The meta object literal for the '`IBinding Output`' class
`static EClass` `IDEFINITION` The meta object literal for the '`IDefinition`' class
`static EClass` `IEXTENSIBILITY_ELEMENT` The meta object literal for the '`IExtensibility Element`' class
`static EClass` `IEXTENSION_REGISTRY` The meta object literal for the '`IExtension Registry`' class
`static EClass` `IFAULT` The meta object literal for the '`IFault`' class
`static EClass` `IIMPORT` The meta object literal for the '`IImport`' class
`static EClass` `IINPUT` The meta object literal for the '`IInput`' class
`static EClass` `IITERATOR` The meta object literal for the '`IIterator`' class
`static EClass` `ILIST` The meta object literal for the '`IList`' class
`static EClass` `IMAP` The meta object literal for the '`IMap`' class
`static EClass` `IMESSAGE` The meta object literal for the '`IMessage`' class
`static EClass` `IMPORT` The meta object literal for the '`Import`' class
`static EReference` `IMPORT__EDEFINITION` The meta object literal for the 'EDefinition' reference feature
`static EReference` `IMPORT__ESCHEMA` The meta object literal for the 'ESchema' reference feature
`static EAttribute` `IMPORT__LOCATION_URI` The meta object literal for the 'Location URI' attribute feature
`static EAttribute` `IMPORT__NAMESPACE_URI` The meta object literal for the 'Namespace URI' attribute feature
`static EClass` `INPUT` The meta object literal for the '`Input`' class
`static EClass` `IOPERATION` The meta object literal for the '`IOperation`' class
`static EClass` `IOUTPUT` The meta object literal for the '`IOutput`' class
`static EClass` `IPART` The meta object literal for the '`IPart`' class
`static EClass` `IPORT` The meta object literal for the '`IPort`' class
`static EClass` `IPORT_TYPE` The meta object literal for the '`IPort Type`' class
`static EClass` `ISERVICE` The meta object literal for the '`IService`' class
`static EClass` `ITYPES` The meta object literal for the '`ITypes`' class
`static EClass` `IURL` The meta object literal for the '`IURL`' class
`static EClass` `MESSAGE` The meta object literal for the '`Message`' class
`static EReference` `MESSAGE__EPARTS` The meta object literal for the 'EParts' containment reference list feature
`static EAttribute` `MESSAGE__QNAME` The meta object literal for the 'QName' attribute feature
`static EAttribute` `MESSAGE__UNDEFINED` The meta object literal for the 'Undefined' attribute feature
`static EClass` `MESSAGE_REFERENCE` The meta object literal for the '`Message Reference`' class
`static EReference` `MESSAGE_REFERENCE__EMESSAGE` The meta object literal for the 'EMessage' reference feature
`static EAttribute` `MESSAGE_REFERENCE__NAME` The meta object literal for the 'Name' attribute feature
`static EClass` `NAMESPACE` The meta object literal for the '`Namespace`' class
`static EAttribute` `NAMESPACE__PREFIX` The meta object literal for the 'Prefix' attribute feature
`static EAttribute` `NAMESPACE__URI` The meta object literal for the 'URI' attribute feature
`static EClass` `OPERATION` The meta object literal for the '`Operation`' class
`static EReference` `OPERATION__EFAULTS` The meta object literal for the 'EFaults' containment reference list feature
`static EReference` `OPERATION__EINPUT` The meta object literal for the 'EInput' containment reference feature
`static EReference` `OPERATION__EOUTPUT` The meta object literal for the 'EOutput' containment reference feature
`static EReference` `OPERATION__EPARAMETER_ORDERING` The meta object literal for the 'EParameter Ordering' reference list feature
`static EAttribute` `OPERATION__NAME` The meta object literal for the 'Name' attribute feature
`static EAttribute` `OPERATION__STYLE` The meta object literal for the 'Style' attribute feature
`static EAttribute` `OPERATION__UNDEFINED` The meta object literal for the 'Undefined' attribute feature
`static EDataType` `OPERATION_TYPE` The meta object literal for the 'Operation Type' data type
`static EClass` `OUTPUT` The meta object literal for the '`Output`' class
`static EClass` `PART` The meta object literal for the '`Part`' class
`static EReference` `PART__ELEMENT_DECLARATION` The meta object literal for the 'Element Declaration' reference feature
`static EAttribute` `PART__ELEMENT_NAME` The meta object literal for the 'Element Name' attribute feature
`static EReference` `PART__EMESSAGE` The meta object literal for the 'EMessage' reference feature
`static EAttribute` `PART__NAME` The meta object literal for the 'Name' attribute feature
`static EReference` `PART__TYPE_DEFINITION` The meta object literal for the 'Type Definition' reference feature
`static EAttribute` `PART__TYPE_NAME` The meta object literal for the 'Type Name' attribute feature
`static EClass` `PORT` The meta object literal for the '`Port`' class
`static EReference` `PORT__EBINDING` The meta object literal for the 'EBinding' reference feature
`static EAttribute` `PORT__NAME` The meta object literal for the 'Name' attribute feature
`static EClass` `PORT_TYPE` The meta object literal for the '`Port Type`' class
`static EReference` `PORT_TYPE__EOPERATIONS` The meta object literal for the 'EOperations' containment reference list feature
`static EAttribute` `PORT_TYPE__QNAME` The meta object literal for the 'QName' attribute feature
`static EAttribute` `PORT_TYPE__UNDEFINED` The meta object literal for the 'Undefined' attribute feature
`static EDataType` `QNAME` The meta object literal for the 'QName' data type
`static EClass` `SERVICE` The meta object literal for the '`Service`' class
`static EReference` `SERVICE__EPORTS` The meta object literal for the 'EPorts' containment reference list feature
`static EAttribute` `SERVICE__QNAME` The meta object literal for the 'QName' attribute feature
`static EAttribute` `SERVICE__UNDEFINED` The meta object literal for the 'Undefined' attribute feature
`static EClass` `TYPES` The meta object literal for the '`Types`' class
`static EClass` `UNKNOWN_EXTENSIBILITY_ELEMENT` The meta object literal for the '`Unknown Extensibility Element`' class
`static EReference` `UNKNOWN_EXTENSIBILITY_ELEMENT__CHILDREN` The meta object literal for the 'Children' containment reference list feature
`static EClass` `WSDL_ELEMENT` The meta object literal for the '`Element`' class
`static EAttribute` `WSDL_ELEMENT__DOCUMENTATION_ELEMENT` The meta object literal for the 'Documentation Element' attribute feature
`static EAttribute` `WSDL_ELEMENT__ELEMENT` The meta object literal for the 'Element' attribute feature
`static EDataType` `WSDL_EXCEPTION` The meta object literal for the 'Exception' data type
`static EClass` `XSD_SCHEMA_EXTENSIBILITY_ELEMENT` The meta object literal for the '`XSD Schema Extensibility Element`' class
`static EReference` `XSD_SCHEMA_EXTENSIBILITY_ELEMENT__SCHEMA` The meta object literal for the 'Schema' containment reference feature

Field Detail

### WSDL_ELEMENT

    static final EClass WSDL_ELEMENT

  The meta object literal for the '`Element`' class.

  See Also:
    `WSDLElementImpl`, `WSDLPackageImpl.getWSDLElement()`

### WSDL_ELEMENT__DOCUMENTATION_ELEMENT

    static final EAttribute WSDL_ELEMENT__DOCUMENTATION_ELEMENT

  The meta object literal for the 'Documentation Element' attribute feature.

### WSDL_ELEMENT__ELEMENT

    static final EAttribute WSDL_ELEMENT__ELEMENT

  The meta object literal for the 'Element' attribute feature.

### PORT_TYPE

    static final EClass PORT_TYPE

  The meta object literal for the '`Port Type`' class.

  See Also:
    `PortTypeImpl`, `WSDLPackageImpl.getPortType()`

### PORT_TYPE__QNAME

    static final EAttribute PORT_TYPE__QNAME

  The meta object literal for the 'QName' attribute feature.

### PORT_TYPE__UNDEFINED

    static final EAttribute PORT_TYPE__UNDEFINED

  The meta object literal for the 'Undefined' attribute feature.

### PORT_TYPE__EOPERATIONS

    static final EReference PORT_TYPE__EOPERATIONS

  The meta object literal for the 'EOperations' containment reference list feature.

### OPERATION

    static final EClass OPERATION

  The meta object literal for the '`Operation`' class.

  See Also:
    `OperationImpl`, `WSDLPackageImpl.getOperation()`

### OPERATION__STYLE

    static final EAttribute OPERATION__STYLE

  The meta object literal for the 'Style' attribute feature.

### OPERATION__NAME

    static final EAttribute OPERATION__NAME

  The meta object literal for the 'Name' attribute feature.

### OPERATION__UNDEFINED

    static final EAttribute OPERATION__UNDEFINED

  The meta object literal for the 'Undefined' attribute feature.

### OPERATION__EINPUT

    static final EReference OPERATION__EINPUT

  The meta object literal for the 'EInput' containment reference feature.

### OPERATION__EOUTPUT

    static final EReference OPERATION__EOUTPUT

  The meta object literal for the 'EOutput' containment reference feature.

### OPERATION__EFAULTS

    static final EReference OPERATION__EFAULTS

  The meta object literal for the 'EFaults' containment reference list feature.

### OPERATION__EPARAMETER_ORDERING

    static final EReference OPERATION__EPARAMETER_ORDERING

  The meta object literal for the 'EParameter Ordering' reference list feature.

### MESSAGE

    static final EClass MESSAGE

  The meta object literal for the '`Message`' class.

  See Also:
    `MessageImpl`, `WSDLPackageImpl.getMessage()`

### MESSAGE__QNAME

    static final EAttribute MESSAGE__QNAME

  The meta object literal for the 'QName' attribute feature.

### MESSAGE__UNDEFINED

    static final EAttribute MESSAGE__UNDEFINED

  The meta object literal for the 'Undefined' attribute feature.

### MESSAGE__EPARTS

    static final EReference MESSAGE__EPARTS

  The meta object literal for the 'EParts' containment reference list feature.

### PART

    static final EClass PART

  The meta object literal for the '`Part`' class.

  See Also:
    `PartImpl`, `WSDLPackageImpl.getPart()`

### PART__NAME

    static final EAttribute PART__NAME

  The meta object literal for the 'Name' attribute feature.

### PART__ELEMENT_NAME

    static final EAttribute PART__ELEMENT_NAME

  The meta object literal for the 'Element Name' attribute feature.

### PART__TYPE_NAME

    static final EAttribute PART__TYPE_NAME

  The meta object literal for the 'Type Name' attribute feature.

### PART__TYPE_DEFINITION

    static final EReference PART__TYPE_DEFINITION

  The meta object literal for the 'Type Definition' reference feature.

### PART__ELEMENT_DECLARATION

    static final EReference PART__ELEMENT_DECLARATION

  The meta object literal for the 'Element Declaration' reference feature.

### PART__EMESSAGE

    static final EReference PART__EMESSAGE

  The meta object literal for the 'EMessage' reference feature.

### BINDING

    static final EClass BINDING

  The meta object literal for the '`Binding`' class.

  See Also:
    `BindingImpl`, `WSDLPackageImpl.getBinding()`

### BINDING__QNAME

    static final EAttribute BINDING__QNAME

  The meta object literal for the 'QName' attribute feature.

### BINDING__UNDEFINED

    static final EAttribute BINDING__UNDEFINED

  The meta object literal for the 'Undefined' attribute feature.

### BINDING__EPORT_TYPE

    static final EReference BINDING__EPORT_TYPE

  The meta object literal for the 'EPort Type' reference feature.

### BINDING__EBINDING_OPERATIONS

    static final EReference BINDING__EBINDING_OPERATIONS

  The meta object literal for the 'EBinding Operations' containment reference list feature.

### BINDING_OPERATION

    static final EClass BINDING_OPERATION

  The meta object literal for the '`Binding Operation`' class.

  See Also:
    `BindingOperationImpl`, `WSDLPackageImpl.getBindingOperation()`

### BINDING_OPERATION__NAME

    static final EAttribute BINDING_OPERATION__NAME

  The meta object literal for the 'Name' attribute feature.

### BINDING_OPERATION__EOPERATION

    static final EReference BINDING_OPERATION__EOPERATION

  The meta object literal for the 'EOperation' reference feature.

### BINDING_OPERATION__EBINDING_INPUT

    static final EReference BINDING_OPERATION__EBINDING_INPUT

  The meta object literal for the 'EBinding Input' containment reference feature.

### BINDING_OPERATION__EBINDING_OUTPUT

    static final EReference BINDING_OPERATION__EBINDING_OUTPUT

  The meta object literal for the 'EBinding Output' containment reference feature.

### BINDING_OPERATION__EBINDING_FAULTS

    static final EReference BINDING_OPERATION__EBINDING_FAULTS

  The meta object literal for the 'EBinding Faults' containment reference list feature.

### SERVICE

    static final EClass SERVICE

  The meta object literal for the '`Service`' class.

  See Also:
    `ServiceImpl`, `WSDLPackageImpl.getService()`

### SERVICE__QNAME

    static final EAttribute SERVICE__QNAME

  The meta object literal for the 'QName' attribute feature.

### SERVICE__UNDEFINED

    static final EAttribute SERVICE__UNDEFINED

  The meta object literal for the 'Undefined' attribute feature.

### SERVICE__EPORTS

    static final EReference SERVICE__EPORTS

  The meta object literal for the 'EPorts' containment reference list feature.

### PORT

    static final EClass PORT

  The meta object literal for the '`Port`' class.

  See Also:
    `PortImpl`, `WSDLPackageImpl.getPort()`

### PORT__NAME

    static final EAttribute PORT__NAME

  The meta object literal for the 'Name' attribute feature.

### PORT__EBINDING

    static final EReference PORT__EBINDING

  The meta object literal for the 'EBinding' reference feature.

### EXTENSIBILITY_ELEMENT

    static final EClass EXTENSIBILITY_ELEMENT

  The meta object literal for the '`Extensibility Element`' class.

  See Also:
    `ExtensibilityElementImpl`, `WSDLPackageImpl.getExtensibilityElement()`

### EXTENSIBILITY_ELEMENT__REQUIRED

    static final EAttribute EXTENSIBILITY_ELEMENT__REQUIRED

  The meta object literal for the 'Required' attribute feature.

### EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

    static final EAttribute EXTENSIBILITY_ELEMENT__ELEMENT_TYPE

  The meta object literal for the 'Element Type' attribute feature.

### DEFINITION

    static final EClass DEFINITION

  The meta object literal for the '`Definition`' class.

  See Also:
    `DefinitionImpl`, `WSDLPackageImpl.getDefinition()`

### DEFINITION__TARGET_NAMESPACE

    static final EAttribute DEFINITION__TARGET_NAMESPACE

  The meta object literal for the 'Target Namespace' attribute feature.

### DEFINITION__LOCATION

    static final EAttribute DEFINITION__LOCATION

  The meta object literal for the 'Location' attribute feature.

### DEFINITION__QNAME

    static final EAttribute DEFINITION__QNAME

  The meta object literal for the 'QName' attribute feature.

### DEFINITION__ENCODING

    static final EAttribute DEFINITION__ENCODING

  The meta object literal for the 'Encoding' attribute feature.

### DEFINITION__EIMPORTS

    static final EReference DEFINITION__EIMPORTS

  The meta object literal for the 'EImports' containment reference list feature.

### DEFINITION__ETYPES

    static final EReference DEFINITION__ETYPES

  The meta object literal for the 'ETypes' containment reference feature.

### DEFINITION__EMESSAGES

    static final EReference DEFINITION__EMESSAGES

  The meta object literal for the 'EMessages' containment reference list feature.

### DEFINITION__EPORT_TYPES

    static final EReference DEFINITION__EPORT_TYPES

  The meta object literal for the 'EPort Types' containment reference list feature.

### DEFINITION__EBINDINGS

    static final EReference DEFINITION__EBINDINGS

  The meta object literal for the 'EBindings' containment reference list feature.

### DEFINITION__ESERVICES

    static final EReference DEFINITION__ESERVICES

  The meta object literal for the 'EServices' containment reference list feature.

### DEFINITION__ENAMESPACES

    static final EReference DEFINITION__ENAMESPACES

  The meta object literal for the 'ENamespaces' containment reference list feature.

### IMPORT

    static final EClass IMPORT

  The meta object literal for the '`Import`' class.

  See Also:
    `ImportImpl`, `WSDLPackageImpl.getImport()`

### IMPORT__NAMESPACE_URI

    static final EAttribute IMPORT__NAMESPACE_URI

  The meta object literal for the 'Namespace URI' attribute feature.

### IMPORT__LOCATION_URI

    static final EAttribute IMPORT__LOCATION_URI

  The meta object literal for the 'Location URI' attribute feature.

### IMPORT__EDEFINITION

    static final EReference IMPORT__EDEFINITION

  The meta object literal for the 'EDefinition' reference feature.

### IMPORT__ESCHEMA

    static final EReference IMPORT__ESCHEMA

  The meta object literal for the 'ESchema' reference feature.

### EXTENSIBLE_ELEMENT

    static final EClass EXTENSIBLE_ELEMENT

  The meta object literal for the '`Extensible Element`' class.

  See Also:
    `ExtensibleElementImpl`, `WSDLPackageImpl.getExtensibleElement()`

### EXTENSIBLE_ELEMENT__EEXTENSIBILITY_ELEMENTS

    static final EReference EXTENSIBLE_ELEMENT__EEXTENSIBILITY_ELEMENTS

  The meta object literal for the 'EExtensibility Elements' containment reference list feature.

### INPUT

    static final EClass INPUT

  The meta object literal for the '`Input`' class.

  See Also:
    `InputImpl`, `WSDLPackageImpl.getInput()`

### OUTPUT

    static final EClass OUTPUT

  The meta object literal for the '`Output`' class.

  See Also:
    `OutputImpl`, `WSDLPackageImpl.getOutput()`

### FAULT

    static final EClass FAULT

  The meta object literal for the '`Fault`' class.

  See Also:
    `FaultImpl`, `WSDLPackageImpl.getFault()`

### BINDING_INPUT

    static final EClass BINDING_INPUT

  The meta object literal for the '`Binding Input`' class.

  See Also:
    `BindingInputImpl`, `WSDLPackageImpl.getBindingInput()`

### BINDING_INPUT__NAME

    static final EAttribute BINDING_INPUT__NAME

  The meta object literal for the 'Name' attribute feature.

### BINDING_INPUT__EINPUT

    static final EReference BINDING_INPUT__EINPUT

  The meta object literal for the 'EInput' reference feature.

### BINDING_OUTPUT

    static final EClass BINDING_OUTPUT

  The meta object literal for the '`Binding Output`' class.

  See Also:
    `BindingOutputImpl`, `WSDLPackageImpl.getBindingOutput()`

### BINDING_OUTPUT__NAME

    static final EAttribute BINDING_OUTPUT__NAME

  The meta object literal for the 'Name' attribute feature.

### BINDING_OUTPUT__EOUTPUT

    static final EReference BINDING_OUTPUT__EOUTPUT

  The meta object literal for the 'EOutput' reference feature.

### BINDING_FAULT

    static final EClass BINDING_FAULT

  The meta object literal for the '`Binding Fault`' class.

  See Also:
    `BindingFaultImpl`, `WSDLPackageImpl.getBindingFault()`

### BINDING_FAULT__NAME

    static final EAttribute BINDING_FAULT__NAME

  The meta object literal for the 'Name' attribute feature.

### BINDING_FAULT__EFAULT

    static final EReference BINDING_FAULT__EFAULT

  The meta object literal for the 'EFault' reference feature.

### NAMESPACE

    static final EClass NAMESPACE

  The meta object literal for the '`Namespace`' class.

  See Also:
    `NamespaceImpl`, `WSDLPackageImpl.getNamespace()`

### NAMESPACE__URI

    static final EAttribute NAMESPACE__URI

  The meta object literal for the 'URI' attribute feature.

### NAMESPACE__PREFIX

    static final EAttribute NAMESPACE__PREFIX

  The meta object literal for the 'Prefix' attribute feature.

### IPORT_TYPE

    static final EClass IPORT_TYPE

  The meta object literal for the '`IPort Type`' class.

  See Also:
    `PortType`, `WSDLPackageImpl.getIPortType()`

### IOPERATION

    static final EClass IOPERATION

  The meta object literal for the '`IOperation`' class.

  See Also:
    `Operation`, `WSDLPackageImpl.getIOperation()`

### IINPUT

    static final EClass IINPUT

  The meta object literal for the '`IInput`' class.

  See Also:
    `Input`, `WSDLPackageImpl.getIInput()`

### IOUTPUT

    static final EClass IOUTPUT

  The meta object literal for the '`IOutput`' class.

  See Also:
    `Output`, `WSDLPackageImpl.getIOutput()`

### IFAULT

    static final EClass IFAULT

  The meta object literal for the '`IFault`' class.

  See Also:
    `Fault`, `WSDLPackageImpl.getIFault()`

### IMESSAGE

    static final EClass IMESSAGE

  The meta object literal for the '`IMessage`' class.

  See Also:
    `Message`, `WSDLPackageImpl.getIMessage()`

### IPART

    static final EClass IPART

  The meta object literal for the '`IPart`' class.

  See Also:
    `Part`, `WSDLPackageImpl.getIPart()`

### ISERVICE

    static final EClass ISERVICE

  The meta object literal for the '`IService`' class.

  See Also:
    `Service`, `WSDLPackageImpl.getIService()`

### IPORT

    static final EClass IPORT

  The meta object literal for the '`IPort`' class.

  See Also:
    `Port`, `WSDLPackageImpl.getIPort()`

### IBINDING

    static final EClass IBINDING

  The meta object literal for the '`IBinding`' class.

  See Also:
    `Binding`, `WSDLPackageImpl.getIBinding()`

### IBINDING_OPERATION

    static final EClass IBINDING_OPERATION

  The meta object literal for the '`IBinding Operation`' class.

  See Also:
    `BindingOperation`, `WSDLPackageImpl.getIBindingOperation()`

### IBINDING_INPUT

    static final EClass IBINDING_INPUT

  The meta object literal for the '`IBinding Input`' class.

  See Also:
    `BindingInput`, `WSDLPackageImpl.getIBindingInput()`

### IBINDING_OUTPUT

    static final EClass IBINDING_OUTPUT

  The meta object literal for the '`IBinding Output`' class.

  See Also:
    `BindingOutput`, `WSDLPackageImpl.getIBindingOutput()`

### IBINDING_FAULT

    static final EClass IBINDING_FAULT

  The meta object literal for the '`IBinding Fault`' class.

  See Also:
    `BindingFault`, `WSDLPackageImpl.getIBindingFault()`

### IEXTENSIBILITY_ELEMENT

    static final EClass IEXTENSIBILITY_ELEMENT

  The meta object literal for the '`IExtensibility Element`' class.

  See Also:
    `ExtensibilityElement`, `WSDLPackageImpl.getIExtensibilityElement()`

### IDEFINITION

    static final EClass IDEFINITION

  The meta object literal for the '`IDefinition`' class.

  See Also:
    `Definition`, `WSDLPackageImpl.getIDefinition()`

### IIMPORT

    static final EClass IIMPORT

  The meta object literal for the '`IImport`' class.

  See Also:
    `Import`, `WSDLPackageImpl.getIImport()`

### ILIST

    static final EClass ILIST

  The meta object literal for the '`IList`' class.

  See Also:
    `List`, `WSDLPackageImpl.getIList()`

### IMAP

    static final EClass IMAP

  The meta object literal for the '`IMap`' class.

  See Also:
    `Map`, `WSDLPackageImpl.getIMap()`

### IURL

    static final EClass IURL

  The meta object literal for the '`IURL`' class.

  See Also:
    `URL`, `WSDLPackageImpl.getIURL()`

### IEXTENSION_REGISTRY

    static final EClass IEXTENSION_REGISTRY

  The meta object literal for the '`IExtension Registry`' class.

  See Also:
    `ExtensionRegistry`, `WSDLPackageImpl.getIExtensionRegistry()`

### TYPES

    static final EClass TYPES

  The meta object literal for the '`Types`' class.

  See Also:
    `TypesImpl`, `WSDLPackageImpl.getTypes()`

### IITERATOR

    static final EClass IITERATOR

  The meta object literal for the '`IIterator`' class.

  See Also:
    `Iterator`, `WSDLPackageImpl.getIIterator()`

### ITYPES

    static final EClass ITYPES

  The meta object literal for the '`ITypes`' class.

  See Also:
    `Types`, `WSDLPackageImpl.getITypes()`

### UNKNOWN_EXTENSIBILITY_ELEMENT

    static final EClass UNKNOWN_EXTENSIBILITY_ELEMENT

  The meta object literal for the '`Unknown Extensibility Element`' class.

  See Also:
    `UnknownExtensibilityElementImpl`, `WSDLPackageImpl.getUnknownExtensibilityElement()`

### UNKNOWN_EXTENSIBILITY_ELEMENT__CHILDREN

    static final EReference UNKNOWN_EXTENSIBILITY_ELEMENT__CHILDREN

  The meta object literal for the 'Children' containment reference list feature.

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT

    static final EClass XSD_SCHEMA_EXTENSIBILITY_ELEMENT

  The meta object literal for the '`XSD Schema Extensibility Element`' class.

  See Also:
    `XSDSchemaExtensibilityElementImpl`, `WSDLPackageImpl.getXSDSchemaExtensibilityElement()`

### XSD_SCHEMA_EXTENSIBILITY_ELEMENT__SCHEMA

    static final EReference XSD_SCHEMA_EXTENSIBILITY_ELEMENT__SCHEMA

  The meta object literal for the 'Schema' containment reference feature.

### MESSAGE_REFERENCE

    static final EClass MESSAGE_REFERENCE

  The meta object literal for the '`Message Reference`' class.

  See Also:
    `MessageReferenceImpl`, `WSDLPackageImpl.getMessageReference()`

### MESSAGE_REFERENCE__NAME

    static final EAttribute MESSAGE_REFERENCE__NAME

  The meta object literal for the 'Name' attribute feature.

### MESSAGE_REFERENCE__EMESSAGE

    static final EReference MESSAGE_REFERENCE__EMESSAGE

  The meta object literal for the 'EMessage' reference feature.

### QNAME

    static final EDataType QNAME

  The meta object literal for the 'QName' data type.

  See Also:
    `QName`, `WSDLPackageImpl.getQName()`

### OPERATION_TYPE

    static final EDataType OPERATION_TYPE

  The meta object literal for the 'Operation Type' data type.

  See Also:
    `OperationType`, `WSDLPackageImpl.getOperationType()`

### DOM_ELEMENT

    static final EDataType DOM_ELEMENT

  The meta object literal for the 'DOM Element' data type.

  See Also:
    `Element`, `WSDLPackageImpl.getDOMElement()`

### WSDL_EXCEPTION

    static final EDataType WSDL_EXCEPTION

  The meta object literal for the 'Exception' data type.

  See Also:
    `WSDLException`, `WSDLPackageImpl.getWSDLException()`

### DOM_DOCUMENT

    static final EDataType DOM_DOCUMENT

  The meta object literal for the 'DOM Document' data type.

  See Also:
    `Document`, `WSDLPackageImpl.getDOMDocument()`